package com.yyrh.core;

import android.content.Context;

/**
 * @author #Suyghur.
 * Created on 2021/10/15
 */
public final class SDKDrive {

    static {
        System.loadLibrary("xinrui");
    }

    private SDKDrive() {

    }

    public static SDKDrive getInstance() {
        return SDKDriveHolder.INSTANCE;
    }

    public native void initDrive(Context context);

    public native void setParam(String key, String value);

    public native String getParam(String key);

    public native String invokeJob(String data);

    public native String parseJob(String data);

    public native String RsaEncrypt(String data);

    private static final class SDKDriveHolder {
        private static final SDKDrive INSTANCE = new SDKDrive();
    }

}
